Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 83)
@@ -0,0 +1,452 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 承認コメントデータアクセスクラス
+    /// </summary>
+    public class IOProcessApprovalComment : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 承認コメントデータフィールド並び
+        /// </summary>
+        public enum ColumnName
+        {
+            ConstructionCode,
+            ApprovalCode,
+            OrderNo,
+            CommentNo,
+            ParentNo,
+            ApproValComment,
+            ENTRYDATE,
+            UPDATEDATE
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOProcessApprovalComment()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 承認コメントデータ検索文字列作成
+        /// <summary>
+        /// 承認コメントデータ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成
+            string strcmd = "SELECT";
+            strcmd += " ConstructionCode";
+            strcmd += ",ApprovalCode";
+            strcmd += ",OrderNo";
+            strcmd += ",CommentNo";
+            strcmd += ",ParentNo";
+            strcmd += ",ApproValComment";
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
+            strcmd += " FROM ProcessApprovalComment";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 承認コメントデータ検索（複数）
+        /// <summary>
+        /// 承認コメントデータ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<ProcessApprovalComment> data, bool bConnect = true)
+        {
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ProcessApprovalComment work = new ProcessApprovalComment();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 承認コメントデータ検索（1件）
+        /// <summary>
+        /// 承認コメントデータ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref ProcessApprovalComment data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                Reader2Struct(objwrk, ref data);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 承認コメントデータ追加（複数）
+        /// <summary>
+        /// 承認コメントデータ追加（複数）
+        /// </summary>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<ProcessApprovalComment> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (ProcessApprovalComment work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ追加（1件）
+        /// <summary>
+        /// 承認コメントデータ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(ProcessApprovalComment data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO ProcessApprovalComment";
+
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd += string.Format(", {0}", data.CommentNo.ToString());
+                strcmd += string.Format(", {0}", data.ParentNo.ToString());
+                strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ更新
+        /// <summary>
+        /// 承認コメントデータ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ProcessApprovalComment data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE ProcessApprovalComment";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd += string.Format(",CommentNo = {0}", data.CommentNo.ToString());
+                strcmd += string.Format(",ParentNo = {0}", data.ParentNo.ToString());
+                strcmd += string.Format(",ApproValComment = '{0}'", data.ApproValComment.ToString());
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ削除
+        /// <summary>
+        /// 承認コメントデータ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM ProcessApprovalComment", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int ApprovalCode = 0, int OrderNo = 0, int SeqNo = 0)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ProcessApprovalComment";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)ColumnName.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApprovalCode:
+                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.CommentNo:
+                        strcmd += string.Format(" CommentNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ParentNo:
+                        strcmd += string.Format(" ParentNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApproValComment:
+                        strcmd += string.Format(" ApproValComment = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ProcessApprovalComment wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)ColumnName.ConstructionCode].ToString());
+                wrk.ApprovalCode = int.Parse(objwrk[(int)ColumnName.ApprovalCode].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)ColumnName.OrderNo].ToString());
+                wrk.CommentNo = int.Parse(objwrk[(int)ColumnName.CommentNo].ToString());
+                wrk.ParentNo = int.Parse(objwrk[(int)ColumnName.ParentNo].ToString());
+                wrk.ApproValComment = objwrk[(int)ColumnName.ApproValComment].ToString();
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATEDATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode = 0, int OrderNo = 0, int CommentNo = 0, int CommentSeqNo = 0, string APara = "")
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
+                if (ApprovalCode != 0)
+                    strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                if (OrderNo != 0)
+                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                if (CommentNo != 0)
+                    strWork += string.Format(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
+                if (CommentSeqNo != 0)
+                    strWork += string.Format(" And {0}CommentSeqNo = {1}", APara, CommentSeqNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 枝番の最大値を取得する
+        /// <summary>
+        /// 枝番の最大値を取得する
+        /// </summary>
+        /// <returns></returns>
+        public int MaxSerialNoCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SerialNo), 0) FROM ProcessApprovalComment" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalDetail.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalDetail.cs	(revision 83)
@@ -38,8 +38,8 @@
             OrderNo,
             SerialNo,
             LinkCode,
-            ENTRY_DATE,
-            UPDATE_DATE
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -357,8 +357,8 @@
                 wrk.SerialNo = int.Parse(objwrk[(int)ColumnName.SerialNo].ToString());
                 wrk.LinkCode = int.Parse(objwrk[(int)ColumnName.LinkCode].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 83)
@@ -135,13 +135,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<PurchaseOrder> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -175,13 +175,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref PurchaseOrder data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -409,7 +409,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -627,7 +627,7 @@
         /// <returns></returns>
         public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 83)
@@ -71,7 +71,7 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             string strcmd = "SELECT";
 
             strcmd += "  ConstructionCode";	        // 工事コード
@@ -105,7 +105,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref PurchaseOrderDetail data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -142,7 +142,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<PurchaseOrderDetail> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -317,7 +317,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 83)
@@ -50,8 +50,8 @@
             UnpaidAmount,
             TaxAmount,
             Note,
-            ENTRY_DATE,
-            UPDATE_DATE,
+            ENTRYDATE,
+            UPDATEDATE,
         }
         #endregion
 
@@ -77,13 +77,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<RequestData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " RequestNo";
                 strcmd += " ,MainConstructionCode";
@@ -288,7 +288,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -335,8 +335,8 @@
                 wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
                 wrk.Note = objwrk[(int)NameColumn.Note].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 83)
@@ -40,8 +40,8 @@
             ConstructionKind,
             RequestAmount,
             TaxAmount,
-            ENTRY_DATE,
-            UPDATE_DATE,
+            ENTRYDATE,
+            UPDATEDATE,
         }
         #endregion
 
@@ -67,13 +67,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<RequestDataDetail> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " RequestNo";
                 strcmd += " ,MainConstructionCode";
@@ -247,7 +247,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -284,8 +284,8 @@
                 wrk.RequestAmount = int.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
                 wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 83)
@@ -49,8 +49,8 @@
             Note,
             AssignedFlg,
             InvoiceNo,
-            ENTRY_DATE,
-            UPDATE_DATE,
+            ENTRYDATE,
+            UPDATEDATE,
         }
         #endregion
 
@@ -76,13 +76,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<RequestHead> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " RequestNo";
                 strcmd += " ,ReqConstructionCode";
@@ -288,7 +288,7 @@
         /// <returns></returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -339,8 +339,8 @@
                 wrk.AssignedFlg = int.Parse(objwrk[(int)NameColumn.AssignedFlg].ToString());
                 wrk.InvoiceNo = int.Parse(objwrk[(int)NameColumn.InvoiceNo].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 83)
@@ -42,8 +42,8 @@
             AdministrativeExpense,
             GrossProfit,
             NetIncome,
-            ENTRY_DATE,
-            UPDATE_DATE
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -68,13 +68,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<SalesGraphData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " GraphDataCode,";
                 strcmd += " ConstructionPeriod,";
@@ -136,8 +136,8 @@
                 strcmd += string.Format(",{0}", data.GrossProfit.ToString());
                 strcmd += string.Format(",{0}", data.NetIncome.ToString());
 
-                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", NOW()";
+                strcmd += ", NOW()";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -217,7 +217,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -254,8 +254,8 @@
                 wrk.GrossProfit = int.Parse(objwrk[(int)NameColumn.GrossProfit].ToString());
                 wrk.NetIncome = int.Parse(objwrk[(int)NameColumn.NetIncome].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
